OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_EdgeCurve Class Reference

`#include <StepShape_EdgeCurve.hxx>`

Inheritance diagram for StepShape_EdgeCurve:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_EdgeCurve ()
| Returns a EdgeCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Vertex)&aEdgeStart, const Handle(StepShape_Vertex)&aEdgeEnd)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Vertex)&aEdgeStart, const Handle(StepShape_Vertex)&aEdgeEnd, const Handle(StepGeom_Curve)&aEdgeGeometry, const Standard_Boolean aSameSense)
Standard_EXPORT void | SetEdgeGeometry (const Handle(StepGeom_Curve)&aEdgeGeometry)
Standard_EXPORT Handle_StepGeom_Curve | EdgeGeometry () const
Standard_EXPORT void | SetSameSense (const Standard_Boolean aSameSense)
Standard_EXPORT Standard_Boolean | SameSense () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Curve | edgeGeometry
Standard_Boolean | sameSense

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_EdgeCurve::StepShape_EdgeCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Curve StepShape_EdgeCurve::EdgeGeometry | ( |  | ) | const

Standard_EXPORT const StepShape_EdgeCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Edge.

virtual Standard_EXPORT void StepShape_EdgeCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Vertex)& | aEdgeStart,
|  | const Handle(StepShape_Vertex)& | aEdgeEnd,
|  | const Handle(StepGeom_Curve)& | aEdgeGeometry,
|  | const Standard_Boolean | aSameSense
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_EdgeCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Vertex)& | aEdgeStart,
|  | const Handle(StepShape_Vertex)& | aEdgeEnd
| ) | `[virtual]`

| Reimplemented from StepShape_Edge.

Standard_EXPORT Standard_Boolean StepShape_EdgeCurve::SameSense | ( |  | ) | const

Standard_EXPORT void StepShape_EdgeCurve::SetEdgeGeometry | ( | const Handle(StepGeom_Curve)& | aEdgeGeometry | ) |

Standard_EXPORT void StepShape_EdgeCurve::SetSameSense | ( | const Standard_Boolean | aSameSense | ) |

## Field Documentation

Handle_StepGeom_Curve StepShape_EdgeCurve::edgeGeometry`[private]`

Standard_Boolean StepShape_EdgeCurve::sameSense`[private]`

The documentation for this class was generated from the following file:

- StepShape_EdgeCurve.hxx